package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 活动类型
 */
@AllArgsConstructor
@Getter
public enum EActType {

    /**
     * 商品赠品
     */
    PRODUCT_GIFT(11, "商品赠品", 0),

    /**
     * 消费赠送
     */
    CONSUMPTION_GIFT(12, "消费赠送", 0),

    /**
     * 直推赠送
     */
    DIRECT_PUSH_GIFT(13, "直推赠送", 0),

    /**
     * 抽奖
     */
    LOTTERY_DRAW(17, "抽奖", 0),

    /**
     * 会员消费赠送 活动
     */
    MEMBER_CONSUMPTION(25, "会员消费赠送", 0),

    /**
     * 提货赠送活动
     */
    PICK_GIFT(30, "提货赠送活动", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
}
